com.microfocus.awm.meta.interfaces

## Interface RFileAction

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    RFileActionImpl

      public interface RFileAction
      extends AWMObject

  If the file descriptor is defined as a structured table and the table is part of a modeled dialog or an ISPF dialog, the actions to appear in the table’s context menu can be modeled using this relationship between the file descriptor and an action descriptor.

  The following features are supported:

  - `Target ID`
  - `Action Enabled Condition`
  - `Action Visible Condition`
  - `Default Action`
  - `Label`
  - `Separator After`
  - `Seq No`
  See Also:
    `TaurusPackage.getRFileAction()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RSelectionEnabledCondition` | `getActionEnabledCondition()` Returns the value of the 'Action Enabled Condition' containment reference.
    `RSelectionVisibleCondition` | `getActionVisibleCondition()` Returns the value of the 'Action Visible Condition' containment reference.
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute.
    `java.lang.String` | `getLabelFromHierarchy()` Returns the Label or, if the Label wasn't set, the Label of the referenced ActionDescriptor (`TargetID`).
    `int` | `getSeqNo()` Returns the value of the 'Seq No' attribute.
    `ActionDescriptor` | `getTargetID()` Returns the value of the 'Target ID' reference.
    `boolean` | `isDefaultAction()` Returns the value of the 'Default Action' attribute.
    `boolean` | `isSeparatorAfter()` Returns the value of the 'Separator After' attribute.
    `boolean` | `isSetDefaultAction()` Returns whether the value of the '`Default Action`' attribute is set.
    `boolean` | `isSetSeparatorAfter()` Returns whether the value of the '`Separator After`' attribute is set.
    `boolean` | `isSetSeqNo()` Returns whether the value of the '`Seq No`' attribute is set.
    `void` | `setActionEnabledCondition(RSelectionEnabledCondition value)` Sets the value of the '`Action Enabled Condition`' containment reference.
    `void` | `setActionVisibleCondition(RSelectionVisibleCondition value)` Sets the value of the '`Action Visible Condition`' containment reference.
    `void` | `setDefaultAction(boolean value)` Sets the value of the '`Default Action`' attribute.
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.
    `void` | `setSeparatorAfter(boolean value)` Sets the value of the '`Separator After`' attribute.
    `void` | `setSeqNo(int value)` Sets the value of the '`Seq No`' attribute.
    `void` | `setTargetID(ActionDescriptor value)` Sets the value of the '`Target ID`' reference.
    `void` | `unsetDefaultAction()` Unsets the value of the '`Default Action`' attribute.
    `void` | `unsetSeparatorAfter()` Unsets the value of the '`Separator After`' attribute.
    `void` | `unsetSeqNo()` Unsets the value of the '`Seq No`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTargetID

          ActionDescriptor getTargetID()

      Returns the value of the 'Target ID' reference. Reference to the action descriptor.
      Returns:
        the value of the 'Target ID' reference.
      See Also:
        `setTargetID(ActionDescriptor)`, `TaurusPackage.getRFileAction_TargetID()`

    - #### setTargetID

          void setTargetID(ActionDescriptor value)

      Sets the value of the '`Target ID`' reference.
      Parameters:
        `value` - the new value of the 'Target ID' reference.
      See Also:
        `getTargetID()`

    - #### getActionEnabledCondition

          RSelectionEnabledCondition getActionEnabledCondition()

      Returns the value of the 'Action Enabled Condition' containment reference. Relationship to an enabled condition. The action is disabled if the condition is false.
      Returns:
        the value of the 'Action Enabled Condition' containment reference.
      See Also:
        `setActionEnabledCondition(RSelectionEnabledCondition)`, `TaurusPackage.getRFileAction_ActionEnabledCondition()`

    - #### setActionEnabledCondition

          void setActionEnabledCondition(RSelectionEnabledCondition value)

      Sets the value of the '`Action Enabled Condition`' containment reference.
      Parameters:
        `value` - the new value of the 'Action Enabled Condition' containment reference.
      See Also:
        `getActionEnabledCondition()`

    - #### getActionVisibleCondition

          RSelectionVisibleCondition getActionVisibleCondition()

      Returns the value of the 'Action Visible Condition' containment reference. Relationship to an visibled condition. The action is invisibled if the condition is false.
      Returns:
        the value of the 'Action Visible Condition' containment reference.
      See Also:
        `setActionVisibleCondition(RSelectionVisibleCondition)`, `TaurusPackage.getRFileAction_ActionVisibleCondition()`

    - #### setActionVisibleCondition

          void setActionVisibleCondition(RSelectionVisibleCondition value)

      Sets the value of the '`Action Visible Condition`' containment reference.
      Parameters:
        `value` - the new value of the 'Action Visible Condition' containment reference.
      See Also:
        `getActionVisibleCondition()`

    - #### isDefaultAction

          boolean isDefaultAction()

      Returns the value of the 'Default Action' attribute. The default value is `"false"`.
      Determines whether this action should be executed by a double-click on the table item. Only one file descriptor action of a structure table can be declared as the Default_Action.
      Returns:
        the value of the 'Default Action' attribute.
      See Also:
        `isSetDefaultAction()`, `unsetDefaultAction()`, `setDefaultAction(boolean)`, `TaurusPackage.getRFileAction_DefaultAction()`

    - #### setDefaultAction

          void setDefaultAction(boolean value)

      Sets the value of the '`Default Action`' attribute.
      Parameters:
        `value` - the new value of the 'Default Action' attribute.
      See Also:
        `isSetDefaultAction()`, `unsetDefaultAction()`, `isDefaultAction()`

    - #### unsetDefaultAction

          void unsetDefaultAction()

      Unsets the value of the '`Default Action`' attribute.
      See Also:
        `isSetDefaultAction()`, `isDefaultAction()`, `setDefaultAction(boolean)`

    - #### isSetDefaultAction

          boolean isSetDefaultAction()

      Returns whether the value of the '`Default Action`' attribute is set.
      Returns:
        whether the value of the 'Default Action' attribute is set.
      See Also:
        `unsetDefaultAction()`, `isDefaultAction()`, `setDefaultAction(boolean)`

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.
      Labels the action in the context menu. If no label is stated, the label of the referenced action descriptor is used.
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `TaurusPackage.getRFileAction_Label()`

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`

    - #### getLabelFromHierarchy

          java.lang.String getLabelFromHierarchy()

      Returns the Label or, if the Label wasn't set, the Label of the referenced ActionDescriptor (`TargetID`). If the ActionDescriptors Label wasn't set, too, its ID will be returned.

    - #### isSeparatorAfter

          boolean isSeparatorAfter()

      Returns the value of the 'Separator After' attribute.
      Determines whether to insert a separation line after the context menu entry.
      Returns:
        the value of the 'Separator After' attribute.
      See Also:
        `isSetSeparatorAfter()`, `unsetSeparatorAfter()`, `setSeparatorAfter(boolean)`, `TaurusPackage.getRFileAction_SeparatorAfter()`

    - #### setSeparatorAfter

          void setSeparatorAfter(boolean value)

      Sets the value of the '`Separator After`' attribute.
      Parameters:
        `value` - the new value of the 'Separator After' attribute.
      See Also:
        `isSetSeparatorAfter()`, `unsetSeparatorAfter()`, `isSeparatorAfter()`

    - #### unsetSeparatorAfter

          void unsetSeparatorAfter()

      Unsets the value of the '`Separator After`' attribute.
      See Also:
        `isSetSeparatorAfter()`, `isSeparatorAfter()`, `setSeparatorAfter(boolean)`

    - #### isSetSeparatorAfter

          boolean isSetSeparatorAfter()

      Returns whether the value of the '`Separator After`' attribute is set.
      Returns:
        whether the value of the 'Separator After' attribute is set.
      See Also:
        `unsetSeparatorAfter()`, `isSeparatorAfter()`, `setSeparatorAfter(boolean)`

    - #### getSeqNo

          int getSeqNo()

      Returns the value of the 'Seq No' attribute.
      Position number of the action in the context menu of a table item.
      Returns:
        the value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `setSeqNo(int)`, `TaurusPackage.getRFileAction_SeqNo()`

    - #### setSeqNo

          void setSeqNo(int value)

      Sets the value of the '`Seq No`' attribute.
      Parameters:
        `value` - the new value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `getSeqNo()`

    - #### unsetSeqNo

          void unsetSeqNo()

      Unsets the value of the '`Seq No`' attribute.
      See Also:
        `isSetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isSetSeqNo

          boolean isSetSeqNo()

      Returns whether the value of the '`Seq No`' attribute is set.
      Returns:
        whether the value of the 'Seq No' attribute is set.
      See Also:
        `unsetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.